local data = UpgradesTweakData.init
function UpgradesTweakData:init(tweak_data)
	data(self, tweak_data)

	-- Snipers Skills
	self.values.snp.spread_index_addend = {4, 6}			
	self.values.snp.recoil_index_addend = {6, 12, 16}
	self.values.snp.fire_rate_multiplier = {1.25, 1.5, 3}
	self.values.snp.reload_speed_multiplier = {1.25, 1.5, 3}
	self.values.snp.extra_ammo_multiplier = {1.5, 2, 4}
	self.values.assault_rifle.extra_ammo_multiplier = {2}
	self.values.player.pick_up_ammo_multiplier = {
	2.00
	}
		self.definitions.ammo_gain_boost = {
			category = "feature",
			name_id = "menu_player_pick_up_ammo_multiplier",
			upgrade = {
				category = "player",
				upgrade = "pick_up_ammo_multiplier",
				value = 1
			}
		}

		self.definitions.snp_spread_index_addend = {
			category = "feature",
			name_id = "snp_spread_addend",
			upgrade = {
				category = "snp",
				upgrade = "spread_index_addend",
				value = 1
		}}

		self.definitions.aced_snp_spread_index_addend = {
			category = "feature",
			name_id = "snp_spread_addend",
			upgrade = {
				category = "snp",
				upgrade = "spread_index_addend",
				value = 2
		}}

		self.definitions.snp_recoil_index_addend = {
			category = "feature",
			name_id = "snp_recoil_addend",
			upgrade = {
				category = "snp",
				upgrade = "recoil_index_addend",
				value = 1
		}}

		self.definitions.aced_snp_recoil_index_addend = {
			category = "feature",
			name_id = "snp_recoil_addend",
			upgrade = {
				category = "snp",
				upgrade = "recoil_index_addend",
				value = 2
		}}

		self.definitions.snp_firerate = {
			category = "feature",
			name_id = "snp_firerate",
			upgrade = {
				category = "snp",
				upgrade = "fire_rate_multiplier",
				value = 1
		}}

		self.definitions.aced_snp_firerate = {
			category = "feature",
			name_id = "snp_firerate",
			upgrade = {
				category = "snp",
				upgrade = "fire_rate_multiplier",
				value = 2
		}}
				
		self.definitions.snp_extra_ammo_multiplier = {
			category = "feature",
			name_id = "snp_extra_ammo_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "extra_ammo_multiplier",
				value = 1
			}
		}

		self.definitions.aced_snp_extra_ammo_multiplier = {
			category = "feature",
			name_id = "snp_extra_ammo_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "extra_ammo_multiplier",
				value = 2
			}
		}

		self.definitions.snp_reload_speed = {
			category = "feature",
			name_id = "snp_reload_speed",
			upgrade = {
				category = "snp",
				upgrade = "reload_speed_multiplier",
				value = 1
			}
		}

		self.definitions.aced_snp_reload_speed = {
			category = "feature",
			name_id = "aced_snp_reload_speed",
			upgrade = {
				category = "snp",
				upgrade = "reload_speed_multiplier",
				value = 2
			}
		}

		self.definitions.snp_q_reload = {
			category = "feature",
			name_id = "x_snp_reload_speed",
			upgrade = {
				category = "snp",
				upgrade = "reload_speed_multiplier",
				value = 3
			}
		}

		self.definitions.snp_recoil_x = {
			category = "feature",
			name_id = "snp_recoil_addend",
			upgrade = {
				category = "snp",
				upgrade = "recoil_index_addend",
				value = 3
			}
		}
		self.definitions.snp_extra_ammo_multiplier = {
			category = "feature",
			name_id = "snp_extra_ammo_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "extra_ammo_multiplier",
				value = 1
			}
		}

		self.definitions.aced_snp_extra_ammo_multiplier = {
			category = "feature",
			name_id = "snp_extra_ammo_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "extra_ammo_multiplier",
				value = 2
			}
		}

		self.definitions.piles_of_snp_ammo = {
			category = "feature",
			name_id = "snp_piles_of_ammo",
			upgrade = {
				category = "snp",
				upgrade = "extra_ammo_multiplier",
				value = 3
			}
		}

		self.definitions.piles_of_dmr_ammo = {
			category = "feature",
			name_id = "menu_backup_dmr",
			upgrade = {
				category = "assault_rifle",
				upgrade = "extra_ammo_multiplier",
				value = 1
			}
		}

		self.definitions.snp_rapido = {
			category = "feature",
			name_id = "snp_rapido",
			upgrade = {
				category = "snp",
				upgrade = "fire_rate_multiplier",
				value = 3
			}
		}	

		self.definitions.steady_sniping = {
			category = "feature",
			name_id = "menu_player.damage_shake_multiplier",
			upgrade = {
				category = "player",
				upgrade = "damage_shake_multiplier",
				value = 4
		}}

		self.definitions.metalhand = {
			category = "feature",
			name_id = "menu_player.damage_shake_multiplier",
			upgrade = {
				category = "player",
				upgrade = "damage_shake_multiplier",
				value = 5
		}}

end